


source('fct.extract_activations.R')


# extract_hidden_acts <- function(path, set="train", ep=1000000, netname="network01"){
# 	files <- list.files(path=path, pattern=".*\\.\\d+\\.out.gz")
# 	files <- files[as.numeric(str_match(files, '\\.(\\d+)\\.out')[,2])==ep]
# 	files <- files[str_match(files, '\\.([^.]+)\\.\\d+\\.out')[,2]==set]
# 	files <- files[str_match(files, '([^.]+)\\.[^.]+\\.\\d+\\.out')[,2]==netname]
# 	# files <- files[as.numeric(str_match(files, '^[^.\\d]+(\\d\\d?)\\.')[,2])<=maxNetworks]
# 	acts <- NULL
# 	for(f in files){
# 		filename <- paste(path,f,sep='/')
# 		netname <- str_match(f, "^([^.]+)\\.")[2]
# 		acts <- bind_rows(acts, filter(extract_activations(filename), group=="hidden"))
# 		# process(filename, actsfile, resfile, summfile)
# 		# source("script.summarise.R")
# 	}
# 	acts
# }


extract_hidden_acts <- function(path, set="train", ep=1000000, netname="network01"){
	files <- list.files(path=path, pattern=".*\\.\\d+\\.out.gz")
	files <- files[as.numeric(str_match(files, '\\.(\\d+)\\.out')[,2])==ep]
	files <- files[str_match(files, '\\.([^.]+)\\.\\d+\\.out')[,2]==set]
	files <- files[str_match(files, '([^.]+)\\.[^.]+\\.\\d+\\.out')[,2]==netname]
	# files <- files[as.numeric(str_match(files, '^[^.\\d]+(\\d\\d?)\\.')[,2])<=maxNetworks]
	acts <- NULL
	for(f in files){
		filename <- paste(path,f,sep='/')
		netname <- str_match(f, "^([^.]+)\\.")[2]
		acts <- bind_rows(acts, filter(extract_activations(filename), group=="hidden"))
		# process(filename, actsfile, resfile, summfile)
		# source("script.summarise.R")
	}
	numExamples <- max(acts$example)
	groupm <- matrix(acts$act, nrow=numExamples, byrow=TRUE)
	# verbs <- tbl_df(read.csv(str_c('output/',prefix,'set.csv'),header=T,encoding="UTF-8", stringsAsFactors=FALSE))
	groupm
}



# if(length(args)>0){
# 	path <- args[1]
# 	if(length(args)>1) set <- args[2] else set <- "train"
# 	if(length(args)>2) epoch <- as.numeric(args[3]) else epoch <- 1000000
# 	if(length(args)>3) netname <- args[4] else netname <- "network01"
# 	# 
# 	start <- proc.time()
# 	# 
# 	hiddenacts <- extract_hidden_acts(model, set, epoch, netname)
# 	info <- tbl_df(read.csv(str_c(model, '/', netname, '.', set, 'set.csv'), header=T, encoding="UTF-8", stringsAsFactors=FALSE))
# 	info <- unite(info, label, Subclass, Lemma, PN, Token, Testitem, sep="-", remove=FALSE)
# 	save(hiddenacts, info, file=str_c(model, '.hiddendacts.Rd'))
# 	# 
# 	print(proc.time() - start) # End clock
# }
