#!/bin/bash

name=modelNoveltestPLVerbsProdLocalist

if [ -d $name ]; then
	mv $name $name.backup.$(date +%y%m%d%H%M)
fi

mkdir $name

Rscript script.split_corpus_exclTest1.R trainset-all.encoded.csv $name network01 network02 network03 network04 network05 network06 network07 network08 network09 network10

cp train-prob.tcl $name/
cp $name.in $name/
cp $name.jobscript.sh $name/
cp _README.txt $name/

cp SAMPA.csv $name/
cp IPA-binary.csv $name/
cp transcription-rules.csv $name/
cp fct.encode.R $name/
cp fct.compute_errors2.R $name/
cp fct.extract_activations.R $name/
cp script.preprocess_parallel.R $name/

tar -zcvf $name.tar.gz $name
