#!/bin/bash
#$ -S /bin/bash
#$ -cwd
#$ -j y
#$ -V
#$ -pe smp.pe 16      # Number of cores to use. Can be between 2 and 24.
#$ -m bea
#$ -M felix.engelmann@manchester.ac.uk
#$ -o modelNoveltestPLVerbsProdLocalist.log

module load apps/gcc/R/3.4.1
module load apps/gcc/lens/2.64
module load tools/gcc/pigz/2.3.3

lens -b modelNoveltestPLVerbsProdLocalist.in

Rscript script.preprocess_parallel.R .

tar -zcvf ../modelNoveltestPLVerbsProdLocalist.tar.gz ../modelNoveltestPLVerbsProdLocalist
